/**
 * @function doSend
 */
"use strict";

const uuid = require('uuid'),
    Promise = require('apemanpromise');

/** @lends doSend */
function doSend(UserVerify, userId, key, value, expireDuration) {

    return UserVerify
        .findOrCreate({
            where: {
                user_id: userId,
                verify_target: value
            },
            defaults: {
                user_id: userId
            }
        })
        .then(verify => [].concat(verify || [])[0])
        .then(verify =>
            verify.update({
                expire_at: new Date(new Date() + expireDuration),
                verify_target_kind: key,
                verify_target: value,
                verify_token: uuid.v4().replace(/\-/g, ''),
                verified: false
            })
        );
}

module.exports = doSend;