/**
 * @function doVerify
 */
"use strict";

/** @lends doVerify */
function doVerify(UserVerify, token) {
    return UserVerify
        .findOne({
            where:{
                verify_token: token
            }
        })
        .then(verify => {
            if (!verify) {
                return null;
            }
            let expired = new Date() < new Date(verify.expire_at);
            if (expired) {
                return null;
            }
            return verify.update({
                verified_at: new Date(),
                verified: true
            })
        });
}

module.exports = doVerify;